Bug 1297852 - Review Request: python-azure-sdk - Microsoft Azure SDK for Python
Summary: Review Request: python-azure-sdk - Microsoft Azure SDK for Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1358739 1358741
Blocks: 1298131
TreeView+ depends on / blocked
 
Reported: 2016-01-12 15:59 UTC by Mohamed El Morabity
Modified: 2017-09-30 06:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-17 03:50:46 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)
Updated python-azure-sdk-2.0.1-build.patch for EL7 (23.27 KB, patch)
2017-08-29 19:34 UTC, Patrick Laimbock
no flags Details | Diff

Description Mohamed El Morabity 2016-01-12 15:59:14 UTC
Spec URL: https://melmorabity.fedorapeople.org/packages/python-azure-sdk/python-azure-sdk.spec
SRPM URL: https://melmorabity.fedorapeople.org/packages/python-azure-sdk/python-azure-sdk-1.0.2-1.fc23.src.rpm
Description: This project provides a set of Python packages that make it easy to access the\
Microsoft Azure components such as ServiceManagement, Storage*, and ServiceBus.
Fedora Account System Username: melmorabity

Comment 2 William Moreno 2016-03-11 21:20:21 UTC
Package Review
==============
[!]: Large documentation must go in a -doc subpackage.
There is a doc directoty than you can build to html with sphinx and include as subpackage.

[!]: %check is present and all tests pass.
There are many tests directories than you can try to run in the build procces.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-azure-sdk-1.0.3-1.fc23.noarch.rpm
          python3-azure-sdk-1.0.3-1.fc23.noarch.rpm
          python-azure-sdk-1.0.3-1.fc23.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
python2-azure-sdk (rpmlib, GLIBC filtered):
    pyOpenSSL
    python(abi)
    python-dateutil
    python-requests
    python-vcrpy

python3-azure-sdk (rpmlib, GLIBC filtered):
    python(abi)
    python3-dateutil
    python3-pyOpenSSL
    python3-requests
    python3-vcrpy

Provides
--------
python2-azure-sdk:
    python-azure
    python-azure-common
    python-azure-mgmt
    python-azure-mgmt-common
    python-azure-mgmt-compute
    python-azure-mgmt-network
    python-azure-mgmt-nspkg
    python-azure-mgmt-resource
    python-azure-mgmt-storage
    python-azure-nspkg
    python-azure-sdk
    python-azure-servicebus
    python-azure-servicemanagement-legacy
    python2-azure
    python2-azure-common
    python2-azure-mgmt
    python2-azure-mgmt-common
    python2-azure-mgmt-compute
    python2-azure-mgmt-network
    python2-azure-mgmt-nspkg
    python2-azure-mgmt-resource
    python2-azure-mgmt-storage
    python2-azure-nspkg
    python2-azure-sdk
    python2-azure-servicebus
    python2-azure-servicemanagement-legacy

python3-azure-sdk:
    python3-azure
    python3-azure-common
    python3-azure-mgmt
    python3-azure-mgmt-common
    python3-azure-mgmt-compute
    python3-azure-mgmt-network
    python3-azure-mgmt-nspkg
    python3-azure-mgmt-resource
    python3-azure-mgmt-storage
    python3-azure-nspkg
    python3-azure-sdk
    python3-azure-servicebus
    python3-azure-servicemanagement-legacy

Source checksums
----------------
https://github.com/Azure/azure-sdk-for-python/archive/v1.0.3/python-azure-sdk-1.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 45ce927917fa068016b7822d4c0711daca9758fab06d736f4f82db7c01f52e3f
  CHECKSUM(SHA256) upstream package : 45ce927917fa068016b7822d4c0711daca9758fab06d736f4f82db7c01f52e3f

Comment 3 Mohamed El Morabity 2016-05-28 00:47:27 UTC
Sorry for this late answer, and thanks for your review.
I will upload very soon an updated version for this package, improved with your suggestions.

Comment 4 William Moreno 2016-06-13 19:33:07 UTC
ping

Comment 5 Mohamed El Morabity 2016-07-21 12:01:05 UTC
New release for the Python Azure SDK:

Spec URL: https://melmorabity.fedorapeople.org/packages/python-azure-sdk/python-azure-sdk.spec
SRPM URL: https://melmorabity.fedorapeople.org/packages/python-azure-sdk/python-azure-sdk-2.0.0-0.7.rc5.fc24.src.rpm

This new release depends on two new Python libraries:
- msrest (RHBZ #1358739)
- msrestazure (RHBZ #1358741)

The unit tests are now run at package build, as suggested. The documentation is also generated and installed.

Comment 8 Robert-André Mauchin 2017-08-28 19:15:05 UTC
Hello,


 - The Group: tag is not needed on Fedora. See: https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

 - You could use the %{py2_dist/%{py3_dist macros for your dependencies. See: 
https://fedoraproject.org/wiki/Packaging:Python#Requires_and_BuildRequires_with_standardized_names

i.e. like this:

BuildRequires:  python-setuptools
BuildRequires:  python2-devel
# Needed to build documentation
%if 0%{?_with_doc}
BuildRequires:  %{py2_dist pip}
BuildRequires:  %{py2_dist sphinx}
BuildRequires:  %{py2_dist sphinx-rtd-theme}
%endif
%if 0%{?_with_python3}
BuildRequires:  python3-devel
%endif
# Needed for tests
%if 0%{?_with_tests}
BuildRequires:  %{py2_dist certifi}
BuildRequires:  %{py2_dist chardet}
BuildRequires:  %{py2_dist coverage}
BuildRequires:  %{py2_dist enum34}
BuildRequires:  %{py2_dist isodate}
BuildRequires:  %{py2_dist keyring}
BuildRequires:  %{py2_dist msrest}
BuildRequires:  %{py2_dist msrestazure}
BuildRequires:  %{py2_dist nose}
BuildRequires:  %{py2_dist oauthlib}
BuildRequires:  %{py2_dist requests}
BuildRequires:  %{py2_dist requests-oauthlib}
BuildRequires:  %{py2_dist vcrpy} >= 1.8.0
%if 0%{?_with_python3}
BuildRequires:  %{py3_dist certifi}
BuildRequires:  %{py3_dist chardet}
BuildRequires:  %{py3_dist coverage}
BuildRequires:  %{py3_dist isodate}
BuildRequires:  %{py3_dist keyring}
BuildRequires:  %{py3_dist msrest}
BuildRequires:  %{py3_dist msrestazure}
BuildRequires:  %{py3_dist nose}
BuildRequires:  %{py3_dist oauthlib}
BuildRequires:  %{py3_dist requests}
BuildRequires:  %{py3_dist requests-oauthlib}
BuildRequires:  %{py3_dist vcrpy} >= 1.8.0
%endif
%endif
BuildArch:      noarch

%description
%{common_description}


%package -n python2-%{srcname}
Summary:        %{common_summary}
Requires:       pyOpenSSL
Requires:       %{py2_dist msrest}
Requires:       %{py2_dist msrestazure}
Requires:       %{py2_dist requests}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{common_description}


%if 0%{?_with_python3}
%package -n python3-%{srcname}
Summary:        %{common_summary}
Requires:       %{py3_dist msrest}
Requires:       %{py3_dist msrestazure}
Requires:       %{py3_dist pyOpenSSL}
Requires:       %{py3_dist requests}
%{?python_provide:%python_provide python3-%{srcname}}

 - You should use the %make_build macro instead of make alone

%make_build -C doc/ html




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Apache (v2.0)", "Unknown or generated".
     4432 files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-azure-sdk/review-python-azure-
     sdk/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -azure-sdk , python3-azure-sdk , python-azure-sdk-doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-azure-sdk-2.0.0-1.fc28.noarch.rpm
          python3-azure-sdk-2.0.0-1.fc28.noarch.rpm
          python-azure-sdk-doc-2.0.0-1.fc28.noarch.rpm
          python-azure-sdk-2.0.0-1.fc28.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 9 Patrick Laimbock 2017-08-29 19:34:20 UTC
Created attachment 1319761 [details]
Updated python-azure-sdk-2.0.1-build.patch for EL7

This is an updated python-azure-sdk-2.0.1-build.patch for git HEAD of 20170824 git rev a89367799a3f700d897459b17aa0bfd92659b8c5. Thank you for packaging it and William for reviewing.

Comment 10 Mohamed El Morabity 2017-09-05 09:31:44 UTC
Thannks again for your review. Here is an updated version:

Spec file: https://copr-be.cloud.fedoraproject.org/results/melmorabity/azure/fedora-rawhide-x86_64/00597636-python-azure-sdk/python-azure-sdk.spec
SRPM file: https://copr-be.cloud.fedoraproject.org/results/melmorabity/azure/fedora-rawhide-x86_64/00597636-python-azure-sdk/python-azure-sdk-2.0.0-2.fc28.src.rpm

Changes:
- Use python2- prefix for Fedora dependencies wherever it's possible
- Use parallel make to build documentation

Comment 11 Robert-André Mauchin 2017-09-05 12:22:56 UTC
All good, package accepted.

Comment 12 Gwyn Ciesla 2017-09-06 16:37:55 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-azure-sdk

Comment 13 Matt Prahl 2017-09-06 18:17:50 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.stg.fedoraproject.org/rpms/python-azure-sdk. You may modify the branch "f27" in about 10 minutes.

Comment 14 Matt Prahl 2017-09-06 18:18:26 UTC
Please disregard the above comment. That was testing in stage.

Comment 15 Fedora Update System 2017-09-08 09:26:33 UTC
python-azure-sdk-2.0.0-2.fc27 python-azure-storage-0.36.0-1.fc27 python-msrestazure-0.4.13-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0e28803615

Comment 16 Fedora Update System 2017-09-08 09:26:53 UTC
python-azure-sdk-2.0.0-2.fc27 python-azure-storage-0.36.0-1.fc27 python-msrestazure-0.4.13-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0e28803615

Comment 17 Fedora Update System 2017-09-08 09:29:08 UTC
python-azure-sdk-2.0.0-2.fc25 python-azure-storage-0.36.0-1.fc25 python-msrestazure-0.4.13-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f67a2c575f

Comment 18 Fedora Update System 2017-09-08 09:29:22 UTC
python-azure-sdk-2.0.0-2.fc25 python-azure-storage-0.36.0-1.fc25 python-msrestazure-0.4.13-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f67a2c575f

Comment 19 Fedora Update System 2017-09-08 09:30:07 UTC
python-azure-sdk-2.0.0-2.fc26 python-azure-storage-0.36.0-1.fc26 python-msrestazure-0.4.13-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7da1c58958

Comment 20 Fedora Update System 2017-09-08 09:30:22 UTC
python-azure-sdk-2.0.0-2.fc26 python-azure-storage-0.36.0-1.fc26 python-msrestazure-0.4.13-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7da1c58958

Comment 21 Fedora Update System 2017-09-08 09:31:32 UTC
python-azure-sdk-2.0.0-2.el7 python-azure-storage-0.36.0-1.el7 python-msrestazure-0.4.13-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-50395615c9

Comment 22 Fedora Update System 2017-09-08 09:31:47 UTC
python-azure-sdk-2.0.0-2.el7 python-azure-storage-0.36.0-1.el7 python-msrestazure-0.4.13-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-50395615c9

Comment 23 Fedora Update System 2017-09-08 15:24:29 UTC
python-azure-sdk-2.0.0-2.fc27, python-azure-storage-0.36.0-1.fc27, python-msrestazure-0.4.13-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0e28803615

Comment 24 Fedora Update System 2017-09-08 21:48:12 UTC
python-azure-sdk-2.0.0-2.el7, python-azure-storage-0.36.0-1.el7, python-msrestazure-0.4.13-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-50395615c9

Comment 25 Fedora Update System 2017-09-08 22:20:57 UTC
python-azure-sdk-2.0.0-2.fc25, python-azure-storage-0.36.0-1.fc25, python-msrestazure-0.4.13-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f67a2c575f

Comment 26 Fedora Update System 2017-09-08 22:23:26 UTC
python-azure-sdk-2.0.0-2.fc26, python-azure-storage-0.36.0-1.fc26, python-msrestazure-0.4.13-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7da1c58958

Comment 27 Fedora Update System 2017-09-17 03:50:46 UTC
python-azure-sdk-2.0.0-2.fc26, python-azure-storage-0.36.0-1.fc26, python-msrestazure-0.4.13-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2017-09-17 09:49:01 UTC
python-azure-sdk-2.0.0-2.fc25, python-azure-storage-0.36.0-1.fc25, python-msrestazure-0.4.13-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2017-09-23 22:19:24 UTC
python-azure-sdk-2.0.0-2.el7, python-azure-storage-0.36.0-1.el7, python-msrestazure-0.4.13-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2017-09-30 06:17:02 UTC
python-azure-sdk-2.0.0-2.fc27, python-azure-storage-0.36.0-1.fc27, python-msrestazure-0.4.13-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.